# ncurses 5.9 - patch 20130413 - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 5.9 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 5.9 are in the subdirectory
# 	ftp://invisible-island.net/ncurses/5.9
#
# ------------------------------------------------------------------------------
# ftp://invisible-island.net/ncurses/5.9/ncurses-5.9-20130413.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sun Apr 14 00:01:10 UTC 2013
# ------------------------------------------------------------------------------
# Ada95/aclocal.m4         |    6 +++---
# Ada95/configure          |    2 +-
# NEWS                     |   14 +++++++++++++-
# aclocal.m4               |   14 +++++++-------
# c++/Makefile.in          |   42 ++++++++++++++++++++++--------------------
# configure                |    8 ++++----
# dist.mk                  |    4 ++--
# package/debian/changelog |    4 ++--
# package/ncurses.spec     |    2 +-
# progs/infocmp.c          |    5 +++--
# 10 files changed, 58 insertions(+), 43 deletions(-)
# ------------------------------------------------------------------------------
Index: Ada95/aclocal.m4
Prereq:  1.65 
--- ncurses-5.9-20130406+/Ada95/aclocal.m4	2013-03-09 21:39:08.000000000 +0000
+++ ncurses-5.9-20130413/Ada95/aclocal.m4	2013-04-13 23:00:18.000000000 +0000
@@ -28,7 +28,7 @@
 dnl
 dnl Author: Thomas E. Dickey
 dnl
-dnl $Id: aclocal.m4,v 1.65 2013/03/09 21:39:08 tom Exp $
+dnl $Id: aclocal.m4,v 1.66 2013/04/13 23:00:18 tom Exp $
 dnl Macros used in NCURSES Ada95 auto-configuration script.
 dnl
 dnl These macros are maintained separately from NCURSES.  The copyright on
@@ -516,7 +516,7 @@
 esac
 ])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_CFG_DEFAULTS version: 8 updated: 2011/06/04 20:09:13
+dnl CF_CFG_DEFAULTS version: 9 updated: 2013/04/13 18:58:32
 dnl ---------------
 dnl Determine the default configuration into which we'll install ncurses.  This
 dnl can be overridden by the user's command-line options.  There's two items to
@@ -534,7 +534,7 @@
 if test "x$prefix" = "xNONE" ; then
 	case "$cf_cv_system_name" in
 		# non-vendor systems don't have a conflict
-	openbsd*|freebsd*|mirbsd*|linux*|cygwin*|k*bsd*-gnu)
+	openbsd*|freebsd*|mirbsd*|linux*|cygwin*|k*bsd*-gnu|mingw*)
 		prefix=/usr
 		;;
 	*)	prefix=$ac_default_prefix
Index: Ada95/configure
--- ncurses-5.9-20130406+/Ada95/configure	2013-01-26 22:16:48.000000000 +0000
+++ ncurses-5.9-20130413/Ada95/configure	2013-04-13 23:00:40.000000000 +0000
@@ -1154,7 +1154,7 @@
 if test "x$prefix" = "xNONE" ; then
 	case "$cf_cv_system_name" in
 		# non-vendor systems don't have a conflict
-	openbsd*|freebsd*|mirbsd*|linux*|cygwin*|k*bsd*-gnu)
+	openbsd*|freebsd*|mirbsd*|linux*|cygwin*|k*bsd*-gnu|mingw*)
 		prefix=/usr
 		;;
 	*)	prefix=$ac_default_prefix
Index: NEWS
Prereq:  1.2043 
--- ncurses-5.9-20130406+/NEWS	2013-04-06 23:48:25.000000000 +0000
+++ ncurses-5.9-20130413/NEWS	2013-04-13 22:51:41.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.2043 2013/04/06 23:48:25 tom Exp $
+-- $Id: NEWS,v 1.2046 2013/04/13 22:51:41 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,18 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20130413
+	+ add MinGW to cases where ncurses installs by default into /usr
+	  (prompted by discussion with Daniel Silva Ferreira).
+	+ add -D option to infocmp's usage-message (patch by Miroslav Lichvar).
+	+ add a missing 'int' type for main function in configure check for
+	  type of bool variable, to work with clang 3.2 (report by Dmitri
+	  Gribenko).
+	+ improve configure check for static_cast, to work with clang 3.2
+	  (report by Dmitri Gribenko).
+	+ re-order rule for demo.o and macros defining header dependencies in
+	  c++/Makefile.in to accommodate gmake (report by Dmitri Gribenko).
+
 20130406
 	+ improve parameter checking in copywin().
 	+ modify configure script to work around OS X's "libtool" program, to
Index: aclocal.m4
Prereq:  1.662 
--- ncurses-5.9-20130406+/aclocal.m4	2013-04-06 22:06:57.000000000 +0000
+++ ncurses-5.9-20130413/aclocal.m4	2013-04-13 22:59:35.000000000 +0000
@@ -28,7 +28,7 @@
 dnl
 dnl Author: Thomas E. Dickey 1995-on
 dnl
-dnl $Id: aclocal.m4,v 1.662 2013/04/06 22:06:57 tom Exp $
+dnl $Id: aclocal.m4,v 1.666 2013/04/13 22:59:35 tom Exp $
 dnl Macros used in NCURSES auto-configuration script.
 dnl
 dnl These macros are maintained separately from NCURSES.  The copyright on
@@ -492,7 +492,7 @@
 fi
 ])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_BOOL_SIZE version: 12 updated: 2006/12/16 12:33:30
+dnl CF_BOOL_SIZE version: 13 updated: 2013/04/13 18:03:21
 dnl ------------
 dnl Test for the size of 'bool' in the configured C++ compiler (e.g., a type).
 dnl Don't bother looking for bool.h, since it's been deprecated.
@@ -526,7 +526,7 @@
 
 #endif
 
-main()
+int main()
 {
 	FILE *fp = fopen("cf_test.out", "w");
 	if (fp != 0) {
@@ -678,7 +678,7 @@
 esac
 ])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_CFG_DEFAULTS version: 8 updated: 2011/06/04 20:09:13
+dnl CF_CFG_DEFAULTS version: 9 updated: 2013/04/13 18:58:32
 dnl ---------------
 dnl Determine the default configuration into which we'll install ncurses.  This
 dnl can be overridden by the user's command-line options.  There's two items to
@@ -696,7 +696,7 @@
 if test "x$prefix" = "xNONE" ; then
 	case "$cf_cv_system_name" in
 		# non-vendor systems don't have a conflict
-	openbsd*|freebsd*|mirbsd*|linux*|cygwin*|k*bsd*-gnu)
+	openbsd*|freebsd*|mirbsd*|linux*|cygwin*|k*bsd*-gnu|mingw*)
 		prefix=/usr
 		;;
 	*)	prefix=$ac_default_prefix
@@ -1022,7 +1022,7 @@
 test "$cf_cv_cpp_param_init" = yes && AC_DEFINE(CPP_HAS_PARAM_INIT,1,[Define to 1 if C++ has parameter initialization])
 ])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_CPP_STATIC_CAST version: 2 updated: 2012/10/06 17:56:13
+dnl CF_CPP_STATIC_CAST version: 3 updated: 2013/04/13 18:03:21
 dnl ------------------
 dnl Check if the C++ compiler accepts static_cast in generics.  This appears to
 dnl not be supported in g++ before 3.0
@@ -1044,7 +1044,7 @@
 	       int begin_x = 0)
   {
   }
-
+  NCursesPanel();
   ~NCursesPanel();
 };
 
Index: c++/Makefile.in
Prereq:  1.103 
--- ncurses-5.9-20130406+/c++/Makefile.in	2013-03-30 21:03:33.000000000 +0000
+++ ncurses-5.9-20130413/c++/Makefile.in	2013-04-13 18:24:43.000000000 +0000
@@ -1,4 +1,4 @@
-# $Id: Makefile.in,v 1.103 2013/03/30 21:03:33 tom Exp $
+# $Id: Makefile.in,v 1.104 2013/04/13 18:24:43 tom Exp $
 ##############################################################################
 # Copyright (c) 1998-2012,2013 Free Software Foundation, Inc.                #
 #                                                                            #
@@ -157,25 +157,6 @@
 tags:
 	$(CTAGS) *.[h] *.cc
 
-OBJS_DEMO = $(MODEL)/demo$o
-
-$(MODEL)/demo$o : $(srcdir)/demo.cc \
-		$(internal_h) \
-		$(cursesf_h) \
-		$(cursesm_h) \
-		$(cursesapp_h)
-	@echo 'compiling demo (obj_s)'
-	@$(LIBTOOL_COMPILE) $(CXX) $(CFLAGS_DEFAULT) -c $(srcdir)/demo.cc -o $@
-
-demo$x:	$(OBJS_DEMO) \
-	$(LIBRARIES)  \
-	@TEST_DEPS@
-	@ECHO_LD@ $(LINK) -o $@ $(OBJS_DEMO) $(LDFLAGS_DEFAULT)
-
-etip.h:	$(srcdir)/etip.h.in $(srcdir)/edit_cfg.sh
-	cp $(srcdir)/etip.h.in $@
-	sh $(srcdir)/edit_cfg.sh ../include/ncurses_cfg.h $@
-
 $(DESTDIR)$(libdir) :
 	mkdir -p $@
 
@@ -235,5 +216,26 @@
 	cd ../panel && $(MAKE) $@
 
 ###############################################################################
+
+OBJS_DEMO = $(MODEL)/demo$o
+
+$(MODEL)/demo$o : $(srcdir)/demo.cc \
+		$(internal_h) \
+		$(cursesf_h) \
+		$(cursesm_h) \
+		$(cursesapp_h)
+	@echo 'compiling demo (obj_s)'
+	@$(LIBTOOL_COMPILE) $(CXX) $(CFLAGS_DEFAULT) -c $(srcdir)/demo.cc -o $@
+
+demo$x:	$(OBJS_DEMO) \
+	$(LIBRARIES)  \
+	@TEST_DEPS@
+	@ECHO_LD@ $(LINK) -o $@ $(OBJS_DEMO) $(LDFLAGS_DEFAULT)
+
+etip.h:	$(srcdir)/etip.h.in $(srcdir)/edit_cfg.sh
+	cp $(srcdir)/etip.h.in $@
+	sh $(srcdir)/edit_cfg.sh ../include/ncurses_cfg.h $@
+
+###############################################################################
 # The remainder of this file is automatically generated during configuration
 ###############################################################################
Index: configure
--- ncurses-5.9-20130406+/configure	2013-04-06 22:09:21.000000000 +0000
+++ ncurses-5.9-20130413/configure	2013-04-13 22:57:51.000000000 +0000
@@ -1382,7 +1382,7 @@
 if test "x$prefix" = "xNONE" ; then
 	case "$cf_cv_system_name" in
 		# non-vendor systems don't have a conflict
-	openbsd*|freebsd*|mirbsd*|linux*|cygwin*|k*bsd*-gnu)
+	openbsd*|freebsd*|mirbsd*|linux*|cygwin*|k*bsd*-gnu|mingw*)
 		prefix=/usr
 		;;
 	*)	prefix=$ac_default_prefix
@@ -18840,7 +18840,7 @@
 
 #endif
 
-main()
+int main()
 {
 	FILE *fp = fopen("cf_test.out", "w");
 	if (fp != 0) {
@@ -19061,7 +19061,7 @@
 	       int begin_x = 0)
   {
   }
-
+  NCursesPanel();
   ~NCursesPanel();
 };
 
@@ -19204,7 +19204,7 @@
 
 #endif
 
-main()
+int main()
 {
 	FILE *fp = fopen("cf_test.out", "w");
 	if (fp != 0) {
Index: dist.mk
Prereq:  1.923 
--- ncurses-5.9-20130406+/dist.mk	2013-04-06 16:40:39.000000000 +0000
+++ ncurses-5.9-20130413/dist.mk	2013-04-13 14:36:35.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.923 2013/04/06 16:40:39 tom Exp $
+# $Id: dist.mk,v 1.924 2013/04/13 14:36:35 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 5
 NCURSES_MINOR = 9
-NCURSES_PATCH = 20130406
+NCURSES_PATCH = 20130413
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: package/debian/changelog
--- ncurses-5.9-20130406+/package/debian/changelog	2013-04-06 16:40:39.000000000 +0000
+++ ncurses-5.9-20130413/package/debian/changelog	2013-04-13 14:36:35.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9-20130406) unstable; urgency=low
+ncurses6 (5.9-20130413) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 30 Mar 2013 09:50:26 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 13 Apr 2013 10:20:54 -0400
 
 ncurses6 (5.9-20120608) unstable; urgency=low
 
Index: package/ncurses.spec
--- ncurses-5.9-20130406+/package/ncurses.spec	2013-04-06 16:40:39.000000000 +0000
+++ ncurses-5.9-20130413/package/ncurses.spec	2013-04-13 14:36:35.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: shared libraries for terminal handling
 Name: ncurses6
 Release: 5.9
-Version: 20130406
+Version: 20130413
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{release}-%{version}.tgz
Index: progs/infocmp.c
Prereq:  1.123 
--- ncurses-5.9-20130406+/progs/infocmp.c	2012-11-17 23:15:10.000000000 +0000
+++ ncurses-5.9-20130413/progs/infocmp.c	2013-04-13 22:15:14.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2011,2012 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2012,2013 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -42,7 +42,7 @@
 
 #include <dump_entry.h>
 
-MODULE_ID("$Id: infocmp.c,v 1.123 2012/11/17 23:15:10 tom Exp $")
+MODULE_ID("$Id: infocmp.c,v 1.124 2013/04/13 22:15:14 Miroslav.Lichvar Exp $")
 
 #define L_CURL "{"
 #define R_CURL "}"
@@ -1165,6 +1165,7 @@
 	,"  -R subset (see manpage)"
 	,"  -T    eliminate size limits (test)"
 	,"  -U    eliminate post-processing of entries"
+	,"  -D    print database locations"
 	,"  -V    print version"
 #if NCURSES_XNAMES
 	,"  -a    with -F, list commented-out caps"
